JUCE: MessageManager::MessageBase Class Reference

JUCE

Public Types | Public Member Functions | List of all members
MessageManager::MessageBase Class Referenceabstract
juce_events » messages

Internal class used as the base class for all message objects. More...

`#include <juce_MessageManager.h>`

Inheritance diagram for MessageManager::MessageBase:

## Public Types
using | Ptr = ReferenceCountedObjectPtr< MessageBase >

## Public Member Functions
| MessageBase ()=default
| ~MessageBase () override=default
virtual void | messageCallback ()=0
bool | post ()
Public Member Functions inherited from ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count. More...
void | decReferenceCount () noexcept
| Decreases the object's reference count. More...
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count. More...
int | getReferenceCount () const noexcept
| Returns the object's current reference count. More...

## Additional Inherited Members
Protected Member Functions inherited from ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero). More...
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count. More...
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count. More...
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count. More...
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count. More...
virtual | ~ReferenceCountedObject ()
| Destructor. More...
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object. More...

## Detailed Description

Internal class used as the base class for all message objects.

You shouldn't need to use this directly - see the CallbackMessage or Message classes instead.

## Member Typedef Documentation

## ◆ Ptr

using MessageManager::MessageBase::Ptr = ReferenceCountedObjectPtr<MessageBase>

## Constructor & Destructor Documentation

## ◆ MessageBase()

MessageManager::MessageBase::MessageBase | ( |  | ) |
| default

## ◆ ~MessageBase()

MessageManager::MessageBase::~MessageBase | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ messageCallback()

virtual void MessageManager::MessageBase::messageCallback | ( |  | ) |
| pure virtual

Implemented in CallbackMessage.

## ◆ post()

bool MessageManager::MessageBase::post | ( |  | ) |

The documentation for this class was generated from the following file:

- juce_MessageManager.h